Bug 1299634 - fix 'avg' speed counter (non-blocker issue for copr-cli update)
Summary: fix 'avg' speed counter (non-blocker issue for copr-cli update)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-progress
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
Pavel Raiskup
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-18 20:02 UTC by Pavel Raiskup
Modified: 2016-11-19 21:08 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-12 23:54:53 UTC


Attachments (Terms of Use)
Rawhide fix. (6.03 KB, patch)
2016-01-18 20:10 UTC, Pavel Raiskup
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1299243 None None None Never

Internal Trackers: 1299243

Description Pavel Raiskup 2016-01-18 20:02:46 UTC
Upstream PR:
https://github.com/verigak/progress/pull/23

It is new PR, but the package has not been updated for at last two years, so
warning:  High chance this is not going to be merged into verigak/progress.

Those patches might bring bugs, but at least API stays untouched so we could
easily revert.  If release from praiskup/progress github would help, I could
do release (at least to bypass the time till upstream will react).

This is non-blocking issue for new copr-cli package.

Comment 1 Pavel Raiskup 2016-01-18 20:10 UTC
Created attachment 1115957 [details]
Rawhide fix.

Comment 2 Fedora End Of Life 2016-07-19 18:39:55 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Pavel Raiskup 2016-11-01 14:25:13 UTC
Slavku, would you be OK if I applied the downstream patch?

Comment 4 Bohuslav "Slavek" Kabrda 2016-11-01 14:29:02 UTC
Yeah, I'm ok with this.

Comment 5 Pavel Raiskup 2016-11-01 18:11:52 UTC
Thanks, for now built Rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=814306

Comment 6 Pavel Raiskup 2016-11-02 15:11:31 UTC
Merged fast-forward into F24+.

Comment 7 Fedora Update System 2016-11-02 15:17:35 UTC
python-progress-1.2-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c1380c13d

Comment 8 Fedora Update System 2016-11-02 15:18:07 UTC
python-progress-1.2-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ab34ab347

Comment 9 Fedora Update System 2016-11-05 03:32:50 UTC
python-progress-1.2-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c1380c13d

Comment 10 Fedora Update System 2016-11-05 18:56:53 UTC
python-progress-1.2-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ab34ab347

Comment 11 Fedora Update System 2016-11-12 23:54:53 UTC
python-progress-1.2-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-19 21:08:49 UTC
python-progress-1.2-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.